package com.github.jfcloud.sims.sample.automatic.datav.controller;

import com.github.jfcloud.sse.controller.JfcloudBaseSseController;
import com.github.jfcloud.sse.message.SseMessage;
import com.github.jfcloud.sse.message.SseMessageContent;
import com.github.jfcloud.sse.service.JfcloudDefaultSseService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author xiaozun
 * @version 1.0
 * @project
 * @description
 * @date 2024/05/14/17:43
 */

@RestController
@RequestMapping("/sse")
public class SSeController extends JfcloudBaseSseController {
    private JfcloudDefaultSseService service;
    public SSeController(JfcloudDefaultSseService jfcloudDefaultSseService) {
        super(jfcloudDefaultSseService);
        service=jfcloudDefaultSseService;
    }

    @GetMapping
    public String index(){
        SseMessageContent<String> stringSseMessageContent = new SseMessageContent<>("sdfsdfsdfsdfsdfsdf2412312", 1, "message");
        SseMessage<String> stringSseMessage = new SseMessage<String>("1",stringSseMessageContent);
        service.pushData(stringSseMessage);
        return "sdfsd";
    }

}
