package com.github.jfcloud.sims.sample.automatic.datav.dto;

import com.github.jfcloud.sims.sample.automatic.datav.base.SimsBase;
import com.github.jfcloud.sims.sample.automatic.datav.vo.EarlyWaringVo;
import lombok.Data;

import java.util.List;

/**
 * @author xiaozun
 * @version 1.0
 * @project jfcloud-sims-cqjk
 * @description 自动化设备预警dto
 * @date 2024/05/14/10:02
 */

@Data
public class AutomaticEquipmentEarlyWarningInfo extends SimsBase {
    /**
     * 预警对象列表<预警对象>
     */
    private List<EarlyWaringVo> earlyWaringVoList;
}
