package com.github.jfcloud.sims.sample.automatic.datav.dto;

import com.github.jfcloud.sims.sample.automatic.datav.base.SimsBase;
import lombok.Data;

import java.util.Map;

/**
 * @author xiaozun
 * @version 1.0
 * @project jfcloud-sims-cqjk
 * @description 设备空间利用率dto
 * @date 2024/05/15/17:41
 */

@Data
public class DeviceSpaceUtilizationInfo extends SimsBase {
    /**
     * 空间利用率集合<时间，利用率>
     */
    private Map<String,Double> deviceSpaceMap;
}
