package com.github.jfcloud.sims.sample.automatic.datav.dto;

import com.github.jfcloud.sims.sample.automatic.datav.base.SimsBase;
import lombok.Data;

import java.util.Map;

/**
 * @author xiaozun
 * @version 1.0
 * @project jfcloud-sims-cqjk
 * @description 设备工作效率dto
 * @date 2024/05/14/10:01
 */
@Data
public class EquipmentProductivityInfo extends SimsBase {
    /**
     * 样本平均处理时间
     */
    private Long sampleProcessingTimeAvg;

    /**
     * 日处理上限
     */
    private Integer dailyProcessingCapacity;

    /**
     * 设备运行状态集合<设备名,设备状态>
     */
    private Map<String,String> equipmentOperationalStatusMap;
}
