package com.github.jfcloud.sims.sample.automatic.datav.dto;

import com.github.jfcloud.sims.sample.automatic.datav.base.SimsBase;
import lombok.Data;

import java.util.Map;

/**
 * @author xiaozun
 * @version 1.0
 * @project jfcloud-sims-cqjk
 * @description 设备类型dto
 * @date 2024/05/15/17:37
 */

@Data
public class EquipmentTypeInfo extends SimsBase {
    /**
     * 所有设备总数
     */
    private Integer allEquipmentTotal;

    /**
     * 设备数量集合<设备名，设备数量>
     */
    private Map<String,Integer> equipmentCountMap;
}
