package com.github.jfcloud.sims.sample.automatic.datav.dto;

import com.github.jfcloud.sims.sample.automatic.datav.base.SimsBase;
import lombok.Data;

/**
 * @author xiaozun
 * @version 1.0
 * @project jfcloud-sims-cqjk
 * @description 样本库出库相关指标dto
 * @date 2024/05/14/10:01
 */

@Data
public class SampleOutboundRelatedIndicatorsInfo extends SimsBase {
    /**
     * 出库样本数
     */
    private Integer fetchedCount;

    /**
     * 紧急出库请求
     */
    private Integer urgentFetchedCount;

    /**
     * 出库样本目的地
     */
    private String fetchedLocation;

    /**
     * 出库处理时间
     */
    private String fetchedTime;
}
