package com.github.jfcloud.sims.sample.automatic.datav.dto;

import com.github.jfcloud.sims.sample.automatic.datav.base.SimsBase;
import lombok.Data;

/**
 * @author xiaozun
 * @version 1.0
 * @project jfcloud-sims-cqjk
 * @description 样本小管入库dto
 * @date 2024/05/15/17:40
 */

@Data
public class SampleTubesInBaseInfo extends SimsBase {
    /**
     * 样本盒总数
     */
    private Integer sampleBoxCount;

    /**
     * 样本小管
     */
    private Integer sampleTubesCount;

    /**
     * 样本总数
     */
    private Integer sampleCount;

    /**
     * 出库数
     */
    private Integer fetchCount;

    /**
     * 入库数
     */
    private Integer storageCount;
}
