package com.github.jfcloud.sims.sample.automatic.datav.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @author xiaozun
 * @version 1.0
 * @project jfcloud-sims-cqjk
 * @description 设备预警对象
 * @date 2024/05/14/10:50
 */

@Data
@AllArgsConstructor
@NoArgsConstructor
public class EarlyWaringVo{
    /**
     * 预警时间
     */
    private Date earlyWarningDate;

    /**
     * 设备名称
     */
    private String equipmentName;

    /**
     * 优先级
     */
    private String equipmentPriority;

    /**
     * 预警描述
     */
    private String equipmentDescription;
}
