package com.github.jfcloud.sims.sample.automatic.datav.vo;

import lombok.Data;

import java.util.Map;

/**
 * @author xiaozun
 * @version 1.0
 * @project jfcloud-sims-cqjk
 * @description 设备汇总vo
 * @date 2024/05/15/19:27
 */

@Data
public class EquipmentTotalVo extends SimsBaseVo{
    /**
     * 设备温度集合<设备名，温度>
     */
    private Map<String,Integer> temperatureMap;

    /**
     * 设备湿度集合<设备名，湿度>
     */
    private Map<String,Double> humidityMap;

    /**
     * 设备状态集合<设备名，状态>
     */
    private Map<String,String> statusMap;
}
