package com.github.jfcloud.sims.sample.automatic.datav.vo;

import lombok.Data;

/**
 * @author jackzhou
 * @version 1.0
 * @project jfcloud-sims-cqjk
 * @description 样本处理进度vo
 * @date 2024/5/14 08:55:10
 */

@Data
public class SampleProcessingProgressVo extends SimsBaseVo {
    /**
     * 待处理样本数
     */
    private Integer pendingSampleCount;

    /**
     * 处理中样本数
     */
    private Integer processingSampleCount;

    /**
     * 已完成样本数
     */
    private Integer doneSampleCount;
}
