package com.github.jfcloud.sims.sample.automatic.datav.vo;

import lombok.Data;

import java.util.Map;

/**
 * @author xiaozun
 * @version 1.0
 * @project jfcloud-sims-cqjk
 * @description 样本出入销库统计vo
 * @date 2024/05/14/9:59
 */

@Data
public class StatisticsOfSamplesInAndOutTheWarehouseVo extends SimsBaseVo{
    /**
     * 入库数量集合<样本库名，数量>
     */
    private Map<String,Integer> storageCountOfWeekMap;

    /**
     * 出库数量集合<样本库名，数量>
     */
    private Map<String,Integer> fetchedCountOfWeekMap;

    /**
     * 销库数量集合<样本库名，数量>
     */
    private Map<String,Integer> sellOutCountOfWeekMap;
}
