package com.github.jfcloud.sims.sample.automatic.datav.base;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author jackzhou
 * @version 1.0
 * @project jfcloud-sims-cqjk
 * @description 抽象接口参数
 * @date 2024/5/14 09:02:48
 */

@Data
public class SimsBase implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 起始时间
     */
    private Date startDate;
    /**
     * 截至时间
     */
    private Date endDate;

    /**
     * 第几周
     */
    private Integer numWeek;

    /**
     * 页码
     */
    private Integer pageInfo;
}
