package com.github.jfcloud.sims.sample.automatic.datav.dto;

import com.github.jfcloud.sims.sample.automatic.datav.base.SimsBase;
import lombok.Data;

/**
 * @author jackzhou
 * @version 1.0
 * @project jfcloud-sims-cqjk
 * @description 样本处理进度dto
 * @date 2024/5/14 08:54:59
 */

@Data
public class SampleProcessingProgressInfo extends SimsBase {
    /**
     * 已处理占比
     */
    private Double progress;

    /**
     * 待处理样本数
     */
    private Integer pendingSampleCount;

    /**
     * 处理中样本数
     */
    private Integer processingSampleCount;

    /**
     * 已完成样本数
     */
    private Integer doneSampleCount;
}
