package com.github.jfcloud.sims.sample.automatic.datav.dto;

import com.github.jfcloud.sims.sample.automatic.datav.base.SimsBase;
import lombok.Data;

import java.util.Date;
import java.util.Map;

/**
 * @author xiaozun
 * @version 1.0
 * @project jfcloud-sims-cqjk
 * @description 样本入库相关指标dto
 * @date 2024/05/14/10:01
 */

@Data
public class SampleWarehousingRelatedIndicatorsInfo extends SimsBase {
    /**
     * 入库样本数
     */
    private Integer storageCount;

    /**
     * 入库成功率
     */
    private Double storageCapacity;

    /**
     * 入库等待时间
     */
    private Date storageStartTime;

    /**
     * 机器人运行状态
     */
    private String robotOperationalStatus;

    /**
     * 入库样本跟追集合<跟追地,状态>
     */
    private Map<String,String> storageLocationMap;
}
