package com.github.jfcloud.sims.sample.automatic.datav.dto;

import com.github.jfcloud.sims.sample.automatic.datav.base.SimsBase;
import lombok.Data;

import java.util.Map;

/**
 * @author xiaozun
 * @version 1.0
 * @project jfcloud-sims-cqjk
 * @description 样本出入销库统计dto
 * @date 2024/05/14/10:01
 */

@Data
public class StatisticsOfSamplesInAndOutTheWarehouseInfo extends SimsBase {
    /**
     * 入库数量集合<样本库名，数量>
     */
    private Map<String,Integer> storageCountOfWeekMap;

    /**
     * 出库数量集合<样本库名，数量>
     */
    private Map<String,Integer> fetchedCountOfWeekMap;

    /**
     * 销库数量集合<样本库名，数量>
     */
    private Map<String,Integer> sellOutCountOfWeekMap;
}
