package com.github.jfcloud.sims.sample.automatic.datav.vo;

import lombok.Data;

import java.util.Date;
import java.util.Map;

/**
 * @author xiaozun
 * @version 1.0
 * @project jfcloud-sims-cqjk
 * @description 设备工作效率vo
 * @date 2024/05/14/9:58
 */
@Data
public class EquipmentProductivityVo extends SimsBaseVo{
    /**
     * 设备运行状态
     */
    private Map<String,String> equipmentOperationalStatusMap;

    /**
     * 日处理上限
     */
    private Integer dailyProcessingCapacity;

    /**
     * 当前处理个数
     */
    private Integer utilNowProcessingCapacity;

    /**
     * 开始处理时间集合<样本编号,开始时间>
     */
    private Map<String,Date> startDateMap;

    /**
     * 结束处理时间集合<样本编号,结束时间>
     */
    private Map<String,Date> endDateMap;
}
