package com.github.jfcloud.sims.sample.automatic.datav.vo;

import lombok.Data;

import java.util.Map;

/**
 * @author xiaozun
 * @version 1.0
 * @project jfcloud-sims-cqjk
 * @description 样本库监测vo
 * @date 2024/05/14/10:00
 */

@Data
public class SampleBankMonitoringVo extends SimsBaseVo{
    /**
     * 样本总数
     */
    private Integer sampleCountTotal;

    /**
     * 温度集合<样本库名,温度>
     */
    private Map<String,Integer> temperatureMap;

    /**
     * 湿度集合<样本库名,湿度>
     */
    private Map<String,Double> humidityMap;
}
