package com.github.jfcloud.sims.sample.automatic.datav.vo;

import lombok.Data;

import java.util.Date;
import java.util.Map;

/**
 * @author xiaozun
 * @version 1.0
 * @project jfcloud-sims-cqjk
 * @description 样本入库相关指标vo
 * @date 2024/05/14/9:59
 */

@Data
public class SampleWarehousingRelatedIndicatorsVo extends SimsBaseVo{
    /**
     * 入库样本数
     */
    private Integer storageCount;

    /**
     * 申请入库样本数
     */
    private Integer needStorageCount;

    /**
     * 入库等待时间
     */
    private Date storageStartTime;

    /**
     * 机器人运行状态
     */
    private String robotOperationalStatus;

    /**
     * 入库样本跟追集合<跟追地,状态>
     */
    private Map<String,String> storageLocationMap;
}
